package cn.com.infosec.asn1.cmp;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class CertConfirmContent extends ASN1Encodable {
   private ASN1Sequence content;

   private CertConfirmContent(ASN1Sequence seq) {
      this.content = seq;
   }

   public static CertConfirmContent getInstance(Object o) {
      if (o instanceof CertConfirmContent) {
         return (CertConfirmContent)o;
      } else if (o instanceof ASN1Sequence) {
         return new CertConfirmContent((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public CertStatus[] toCertStatusArray() {
      int var1;
      CertStatus[] var2 = new CertStatus[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = CertStatus.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
